
/*
CHANGELOG:

CHANGED 2004-07-19 Lutz Rogowski
*/

#ifndef DSPAUDIOOUT_H_INCLUDED
#define DSPAUDIOOUT_H_INCLUDED

#include "dspaudio.h"

class DspOut;

class DspAudioOut : public DspAudio
{
#ifndef HAVE_THREAD
	Q_OBJECT
#endif
public:
	DspAudioOut( DspOut *in, DspOut *out );
	~DspAudioOut( void );

	/**
	 * Just do one tick, for non-threaded implementations.
	 */
	virtual void timerTick( void );

#ifndef HAVE_THREAD
	virtual void start( void );

private slots:
	virtual void timeout( void );

#endif

private:
	unsigned int curpos;
};

#endif // DSPAUDIOOUT_H_INCLUDED
