/****************************************************************************
** Form interface generated from reading ui file './kcallguimain.ui'
**
** Created: Thu Mar 29 18:24:31 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KCALLGUIMAIN_H
#define KCALLGUIMAIN_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <kabc/stdaddressbook.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QSplitter;
class QLabel;
class QFrame;
class QToolButton;
class KListViewSearchLine;
class KListView;
class QListViewItem;
class KHistoryCombo;
class KPushButton;
class QTabWidget;
struct CallDesc;
class DialListReadOnly;
class VisCard;

class KCallGuiMain : public QWidget
{
    Q_OBJECT

public:
    KCallGuiMain( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KCallGuiMain();

    QSplitter* splitter6;
    QSplitter* splitter5;
    QLabel* textLabel1_3;
    QFrame* line1_3;
    QToolButton* eraseButton;
    QLabel* searchLabel;
    KListViewSearchLine* searchInput;
    KListView* phonebookList;
    QLabel* textLabel1;
    QFrame* line1;
    QFrame* info;
    QLabel* textLabel1_2;
    QFrame* line1_2;
    QLabel* dialLabel;
    KHistoryCombo* nrInput;
    KPushButton* acceptButton;
    KPushButton* hangupButton;
    QTabWidget* callTabs;
    QWidget* activeCallTab;
    KListView* actCalls;
    QWidget* callListTab;
    KListView* historyList;

public slots:
    virtual void newCall( QString callid, QString caller, QString subject, int status );
    virtual void dialByInput( const QString & phoneNr );
    virtual void decideAcceptAction();
    virtual void acceptCall();
    virtual void rejectCall();
    virtual void hangupCall();
    virtual void cancelCall( QString callId );
    virtual void setCallStatus( QString callid, int status );
    virtual void kCallStatus( bool online );
    virtual void setPhonebookList();
    virtual void setHistoryList();
    virtual void setVisCard( QListViewItem * item );
    virtual void setDialTab();
    virtual void setButtonsActCalls();

signals:
    void accept(QString);
    void reject(QString);
    void hangup(QString);
    void dial(QString);

protected:
    QVBoxLayout *visCardLayout;
    VisCard *visitcard;
    DialListReadOnly* hl;
    QPixmap statusPix[7];
    KABC::AddressBook* ab;
    int callIdCol;
    QMap <QString, CallDesc> callsInList;
    int callStatusCol;
    int actCallNrCol;
    int pbLCallNrCol;
    int hLCallNrCol;

    virtual KABC::Addressee getPersonFromNumber( QString phoneNumber );

    QHBoxLayout* KCallGuiMainLayout;
    QVBoxLayout* layout9;
    QHBoxLayout* layout16;
    QVBoxLayout* layout7;
    QVBoxLayout* layout8;
    QSpacerItem* spacer2;
    QHBoxLayout* layout39;
    QHBoxLayout* layout42;
    QSpacerItem* spacer6;
    QVBoxLayout* activeCallTabLayout;
    QVBoxLayout* callListTabLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

    void init();
    void destroy();

};

#endif // KCALLGUIMAIN_H
